﻿Public Class frmLookupAdd
    Dim donorDT As New DataTable
    Dim driveDT As New DataTable
    Dim donationDT As New DataTable
    Dim rowIndx As Integer
    Dim chkIndx As Single
    Dim IdnoNameArray(2) As IdnoName

    Structure IdnoName
        Dim aIdno As String
        Dim aName As String
    End Structure

    Private Sub frmLookupAdd_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        MsgBox(dataAdapterDonor.SelectCommand.CommandText.ToString())
        Dim wkIdno As String
        Dim wkDriveNo As String
        Dim wkContDate As Date
        Dim wkAmtCont As Double
        Dim aCmd As OleDb.OleDbCommand
        wkIdno = txtAddIdno.Text
        wkDriveNo = txtAddDrive.Text
        Try
            dataAdapterDonor.Fill(donorDT)
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try

        dataAdapterDrive.Fill(driveDT)
        dataAdapterDonation.Fill(donationDT)
        FillArray()
        FillCombo()
        FillTextBoxes()
    End Sub

    Sub FillTextBoxes()
        txtIdno.Text = CStr(donorDT.Rows(rowIndx)("DIdno"))
        txtName.Text = CStr(donorDT.Rows(rowIndx)("DName"))
    End Sub

    Sub FillArray()
        'Note I never use the IdnoNameArray().aName.  My original intention was to use a search.
        'I left it because of the structure definition that I wanted to include.
        'IdnoNameArray(0).aIdno = "123"
        'IdnoNameArray(1).aIdno = "124"
        'IdnoNameArray(2).aIdno = "125"
        'IdnoNameArray(0).aName = "Children's Drive"
        'IdnoNameArray(1).aName = "Lunch Drive"
        'IdnoNameArray(2).aName = "Shelter Drive"
    End Sub

    Sub FillCombo()
        Dim i As Integer
        cboDrive.DisplayMember = "DDriveName"
        cboDrive.ValueMember = "DDriveNo"
        cboDrive.DataSource = driveDT

        'For i = 0 To 2
        'cboDrive.Items.Add(driveDT.Rows(i))
        'Next
        'Note that I am also noting out the Add to the combo box - again, I changed my mind.
        'cboDrive.Items.Add("Children's Drive")
        'cboDrive.Items.Add("Lunch Drive")
        'cboDrive.Items.Add("Shelter Drive")
    End Sub

    Private Sub btnFirst_Click(sender As System.Object, e As System.EventArgs) Handles btnFirst.Click
        rowIndx = 0
        FillTextBoxes()
    End Sub

    Private Sub btnNext_Click(sender As System.Object, e As System.EventArgs) Handles btnNext.Click
        If rowIndx < donorDT.Rows.Count - 1 Then
            rowIndx = rowIndx + 1
            FillTextBoxes()
        Else
            rowIndx = 0
            FillTextBoxes()
        End If
    End Sub

    Private Sub btnLast_Click(sender As System.Object, e As System.EventArgs) Handles btnLast.Click
        rowIndx = donorDT.Rows.Count - 1
        FillTextBoxes()
    End Sub

    Private Sub btnPrevious_Click(sender As System.Object, e As System.EventArgs) Handles btnPrevious.Click
        If rowIndx > 0 Then
            rowIndx = rowIndx - 1
            FillTextBoxes()
        Else
            rowIndx = 0
            FillTextBoxes()
        End If
    End Sub

    Private Sub btnIdnoDrive_Click(sender As System.Object, e As System.EventArgs) Handles btnIdnoDrive.Click
        txtAddIdno.Text = txtIdno.Text
        'txtAddDrive.Text = IdnoNameArray(cboDrive.SelectedIndex).aIdno
        txtAddDrive.Text = cboDrive.SelectedValue
    End Sub

    Private Sub btnDonation_Click(sender As System.Object, e As System.EventArgs) Handles btnDonation.Click
        Dim newRecord As DataRow
        newRecord = donationDT.NewRow()
        newRecord("DIdno") = txtAddIdno.Text
        newRecord("DDriveNo") = txtAddDrive.Text
        newRecord("DDateCont") = txtAddDate.Text
        newRecord("DAmtCont") = CDbl(txtAddAmtCont.Text)
        donationDT.Rows.Add(newRecord)
        MsgBox(donationDT.Rows(donationDT.Rows.Count - 1)("DAmtCont"))
        Try
            dataAdapterDonation.Update(donationDT)
        Catch ex As Exception
            MsgBox(ex.ToString)
            donationDT.Rows.Remove(newRecord)
        End Try
    End Sub

End Class
